%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  specs
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Single-Equation Penalized Error-Correction Selector (SPECS)

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildRequires:    R-CRAN-Rcpp 
BuildRequires:    R-CRAN-RcppArmadillo 
Requires:         R-CRAN-Rcpp 

%description
Implementation of SPECS, your favourite Single-Equation Penalized
Error-Correction Selector developed in Smeekes and Wijler (2021)
<doi:10.1016/j.jeconom.2020.07.021>. SPECS provides a fully automated
estimation procedure for large and potentially (co)integrated datasets.
The dataset in levels is converted to a conditional error-correction
model, either by the user or by means of the functions included in this
package, and various specialised forms of penalized regression can be
applied to the model. Automated options for initializing and selecting a
sequence of penalties, as well as the construction of penalty weights via
an initial estimator, are available. Moreover, the user may choose from a
number of pre-specified deterministic configurations to further simplify
the model building process.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
